@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Quicksand:wght@300..700&display=swap');

.sect-blog {
  padding-top: 30px;
  padding-bottom: 30px;
}

.blog__title {
  text-align: center;
  font-size: 24px;
  color: #333;
}

.sect-blog__header {
  margin-bottom: 20px;
}

.sect-blog__header-text {
  font-size: 40px;
  color: #253D4E;
  font-weight: 700;
  font-family: 'Quicksand', sans-serif;
  margin-left: 20px;
}

.sect-blog__grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(368px, 1fr));
  gap: 50px;
  width: 100%;
}

.card-blog__image {
  width: 100%;
  border-radius: 15px;
  display: flex;
  margin: 0 auto;
  object-fit: cover;
  /* Ensures the image covers the entire area */
}


.card-blog__title {
  font-size: 18px;
  margin: 10px 0;
}

/* Responsive Styles */

/* Tablet */
@media (max-width: 1024px) {
  .sect-blog__header-text {
    font-size: 35px;
    margin-left: 15px;
  }

  .sect-blog__grid {
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
  }

  .card-blog__title {
    font-size: 16px;
  }
}

/* Mobile */
@media (max-width: 768px) {
  .sect-blog__header {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
  }

  .sect-blog__header-text {
    font-size: 30px;
    margin-left: 10px;
    text-align: center;
    /* Вирівнювання тексту заголовка */
  }

  @media (max-width: 768px) {
    .sect-blog__grid {
      display: grid;
      justify-content: center;
      align-items: center;
      gap: 30px;
      grid-template-columns: 1fr;
      width: 90%;
      /* або 100%, залежно від вашого дизайну */
      margin: 0 auto;
      /* Центрування */
    }

  }



  .card-blog__image {
    width: 100%;
    /* Забезпечує, що зображення займає всю ширину контейнера */
    max-width: 100%;
    /* Обмежує ширину зображення шириною контейнера */
    border-radius: 10px;
    /* За потреби можна змінити */
  }

  .card-blog__title {
    font-size: 14px;
    text-align: center;
    /* Вирівнювання заголовків по центру */
  }

  .sect-blog {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}